> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Member

> Use this endpoint to create a member. This endpoint accepts the optional `MX-SKIP-WEBHOOK` header. Credentials (userkey, or login/password) will be required if you support the On Demand protocol; they should be supplied in the create member request. On Demand requests will fail without valid credentials. If you are not implementing On Demand, then credentials are not needed. The `institution_id` field will be present in this response body if it was present in the request body.

## Path Parameters

<ParamField path="user_id" type="String" required />

## Body Parameters

<ParamField body="id" type="string" required />

<ParamField body="institution_id" type="string" />

<ParamField body="is_disabled" type="boolean" />

<ParamField body="login" type="string" />

<ParamField body="metadata" type="string" />

<ParamField body="name" type="string" />

<ParamField body="password" type="string" />

<ParamField body="userkey" type="string" />

<ParamField body="credentials" type="string[]">
  <Expandable>
    <ParamField body="login" type="string">
      Paired with password credential.
    </ParamField>

    <ParamField body="password" type="string">
      Paired with login credential.
    </ParamField>

    <ParamField body="userkey" type="string">
      Credential used by itself.
    </ParamField>
  </Expandable>
</ParamField>
